<?php

namespace Modules\User\Http\Resources\Account;

use App\Api\Resources\BaseCollection;

class UserAccountLogCollection extends BaseCollection
{

    public function toArray($request): array
    {
        return [
            'data' => $this->collection->map(function ($log) {
                return new UserAccountLogResource($log);
            }),
            'page' => $this->page(),
        ];
    }

}